Package: org.codehaus.groovy.util

## [Java] Class FloatArrayIterable

- org.codehaus.groovy.util.FloatArrayIterable

- All Implemented Interfaces and Traits:
    Iterable

      public class FloatArrayIterable
      extends Object
      implements Iterable

  Allows a primitive float array to be used where an Iterable is expected.

  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FloatArrayIterable(float[] array)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator<Float>` | `iterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public FloatArrayIterable(float[] array)

  - ### Method Detail

    - #### @Override
      public Iterator<Float> iterator()